##
##  samhain.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         samhain
Summary:      File Integrity and Intrusion Detection System
URL:          http://la-samhna.de/samhain/
Vendor:       Samhain Labs
Packager:     The OpenPKG Project
Distribution: OpenPKG [PLUS]
Group:        System
License:      GPL
Version:      1.7.0
Release:      20021222

#   list of sources
Source0:      http://la-samhna.de/samhain/samhain-current.tar.gz
Source1:      rc.samhain

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20020826, gcc
PreReq:       OpenPKG, openpkg >= 20020826
AutoReq:      no
AutoReqProv:  no

%description
    Samhain is an open source file integrity and intrusion detection
    system for Unix that uses cryptographic checksums of files to
    detect modifications, and allows you to trace: what changes have
    occured in your system, when these changes have occured, and who
    was logged into the system at the respective time.

%prep
    %setup -q -c samhain-%{version}
    %{l_gzip} -d -c samhain-%{version}.tar.gz |\
    %{l_tar} xf -

%build
    ( cd samhain-%{version}
      CC="%{l_cc}" \
      CFLAGS="%{l_cflags -O}" \
      ./configure \
          --prefix=%{l_prefix} \
          --mandir=%{l_prefix}/man \
          --with-config-file=%{l_prefix}/etc/samhain/samhainrc \
          --with-state-dir=%{l_prefix}/var/samhain \
          --with-html-file=%{l_prefix}/var/samhain/samhain.html \
          --with-data-file=%{l_prefix}/var/samhain/samhain.data \
          --with-pid-file=%{l_prefix}/var/samhain/samhain.pid \
          --with-log-file=%{l_prefix}/var/samhain/samhain.log \
          --enable-login-watch \
          --enable-static \
          --disable-khide \
          --enable-suidcheck \
          --with-trusted=0,%{l_muid}
      %{l_make} %{l_mflags}
    )

%install
    rm -rf $RPM_BUILD_ROOT
    ( cd samhain-%{version}
      %{l_make} %{l_mflags} \
          install-program install-man install-data \
          DESTDIR=$RPM_BUILD_ROOT
    )
    chmod -R a+r $RPM_BUILD_ROOT%{l_prefix}/man
    case "%{l_target}" in
        *-freebsd* ) rc="samhainrc.freebsd" ;;
        *-linux*   ) rc="samhainrc.linux"   ;;
        *-solaris* ) rc="samhainrc.solaris" ;;
        * ) echo "ERROR: platform \"%{l_target}\" not supported" 1>&2; exit 1 ;;
    esac
    %{l_shtool} install -c -m 644 \
        samhain-%{version}/$rc \
        $RPM_BUILD_ROOT%{l_prefix}/etc/samhain/samhainrc
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d
    %{l_shtool} install -c -m 755 \
        -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE rc.samhain} \
        $RPM_BUILD_ROOT%{l_prefix}/etc/rc.d/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/samhain/samhainrc'

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

%post
    if [ $1 -eq 1 ]; then
        $RPM_INSTALL_PREFIX/sbin/samhain -t init
    fi

